using System;
using System.Collections;
using System.Collections.Generic;
using System.IO;
using UnityEngine;

//[System.Serializable]
public class KF3AssetBundle
{
    public string DisplayName;
    public string FileName;
    public string FullPath;

    public int IdNum;
    public string IdStr;

    public KF3AssetBundle(string bundleName)
    {
        DisplayName = Path.GetFileName(bundleName);
        FileName = bundleName;
        FullPath = Path.Combine(Settings.AssetsDirectory, bundleName);
    }

    public KF3AssetBundle(string displayName, string bundleName)
    {
        DisplayName = displayName;
        FileName = bundleName;
        FullPath = Path.Combine(Settings.AssetsDirectory, bundleName);
    }
}
